 #ifndef _config_h_
 #define _config_h_
/****************************************************************************
 *
 *  Module:       $HeadURL: http://svn2.hosted-projects.com/sh/DS1821/config.h $
 *  Author:       $Author: sh $
 *  Revision:     $Revision: 7 $
 *  Date:         $Date: 2008-05-19 01:45:27 +0200 (Mo, 19 Mai 2008) $
 *
 *  Copyright:    (C) 2008 by Dipl.-Ing. Stefan Heesch
 *                address:  Bollstrasse 14, CH-5619 Bttikon, Switzerland
 *                callsign: DB7HS, HB9TWS  
 *                email:    radio@heesch.net
 *
 *  Description:  DS1821 Thermometer: hardware configuration
 *
 ****************************************************************************/
 
/****************************************************************************
 * CPU clock
 ****************************************************************************/
 #ifndef F_CPU
 #define F_CPU 8000000UL
 #endif


/****************************************************************************
 * OneWire Port
 ****************************************************************************/
 #define W1_PIN	PD7
 #define W1_IN	PIND
 #define W1_OUT	PORTD
 #define W1_DDR	DDRD


/****************************************************************************
 * LCD Display
 ****************************************************************************/
 #define DSP_PORT	PORTC
 #define DSP_LINES	    4
 #define DSP_LEN	   16


/****************************************************************************
 * The end
 ****************************************************************************/
 #endif
